# Sablotron Guide and Reference

SablotLockDocument | Functions

#### Summary

Lock the document before the processing.

#### Syntax

    int SablotLockDocument(SablotSituation S,
           SDOM_Document D);

Name | Type | Description
--- | --- | ---
`S` | `SablotSituation` | Situation object
`D` | `SDOM_Document` | document to be locked

#### Description

Actually this function doesn't perform any locking in the common sense of the word, but updates some internal values needed for the processing.

#### Notes

You SHOULD call this function whenever you changed the DOM document before the processing. You don't need this, if you just parsed the document (no modification).

#### See Also

Groups | [ Functions ]
Entries | [ SDOM_Document | SablotSituation ]

© 2002-2003 Ginger Alliance
revision 03-06-30
This page was generated by APIDOC